#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/bin/get_params.sh

case "${TRIGO_APPSVR}" in
    websphereAE)
        ${WAS_HOME}/bin/wscp.sh -p ${TOP}/etc/default/websphere/wscp.properties -f ${ADMIN_DIR}/websphere/abort.tcl ${WAS_NODENAME} ${WAS_APPSERVERNAME}
    ;;
    websphere5)
        ${WAS_HOME}/bin/stopServer.sh ${WAS_APPSERVERNAME}
    ;;
    *)
    
    ;;
esac

${ADMIN_DIR}/abort/abort_svc.sh --svc_name=${_TRIGO_SVC_NAME=appsvr_${SHORT_HOSTNAME}} --unbind=${_TRIGO_UNBIND}
