#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. $DB_DIR/util/set_db.sh

#SEQ_QRY1=`${TRIGO_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'seqval-'
#${DB_SQLFILE_EXECUTE} $DB_SCRIPTS/role_id.sql
#EOF`

#pvedul -- adding the run_db_cmd.sh
SEQ_QRY1=`. $DB_DIR/util/run_db_cmd.sh --file=$DB_SCRIPTS/role_id.sql 2>&1 | ${GREP} 'seqval-'`

#${TRIGO_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'seqval-'
#${DB_SQLFILE_EXECUTE} $DB_SCRIPTS/role_id.sql
#EOF

SEQ_VAL1="${SEQ_QRY1}"

SEQ_ID1=`${ECHO} $SEQ_VAL1 | ${GREP} 'seqval-' | cut -f2 -d "-" | cut -f1 -d " "`	

#${ECHO} "Got SEQ_ID1 = $SEQ_ID1"

#for i in $SEQ_VAL1
#do
#	SEQ_ID1=`${ECHO} $i | ${GREP} 'seqval-' | cut -f2 -d "-"`	
#done

#SEQ_QRY2=`${TRIGO_SQLPLUS} ${CONNECTION} <<EOF 2>&1 | ${GREP} 'seqval-'
#${DB_SQLFILE_EXECUTE} $DB_SCRIPTS/role_id.sql
#EOF`

#pvedul -- adding the run_db_cmd.sh
SEQ_QRY2=`. $DB_DIR/util/run_db_cmd.sh --file=$DB_SCRIPTS/role_id.sql 2>&1 | ${GREP} 'seqval-'`

#${TRIGO_SQLPLUS} ${CONNECTION} <<EOF | ${GREP} 'seqval-'
#${DB_SQLFILE_EXECUTE} $DB_SCRIPTS/role_id.sql
#EOF

SEQ_VAL2="${SEQ_QRY2}"

SEQ_ID2=`${ECHO} $SEQ_VAL2 | ${GREP} 'seqval-' | cut -f2 -d "-" | cut -f1 -d " "`	

#${ECHO} "Got SEQ_ID2 = $SEQ_ID2"

#for j in $SEQ_VAL2
#do
#	SEQ_ID2=`${ECHO} $j | ${GREP} 'seqval-' | cut -f2 -d "-"`	
#done
