#! /bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/src/db/schema/util/set_db.sh

${ECHO}
${ECHO} ====================================================
${ECHO} Deleting old info
${ECHO} ====================================================
${ECHO}

${DB_DIR}/util/cleanup_cmp.sh --confirm_db=no --code=all
${DB_DIR}/util/cleanup_cmp.sh --confirm_db=no --code=ariba
${DB_DIR}/util/cleanup_cmp.sh --confirm_db=no --code=c1
${DB_DIR}/util/cleanup_cmp.sh --confirm_db=no --code=oracle


${ECHO}
${ECHO} ====================================================
${ECHO} Creating company and populating related info in db
${ECHO} ====================================================
${ECHO}

#		      it from the COMMON folder in DBSCRIPTS

#echo $DB_CMN_SCRIPTS/create_mktplaces.sql

#${CAT} $DB_CMN_SCRIPTS/create_mktplaces.sql

#${TRIGO_SQLPLUS} ${CONNECTION} <<EOF
#${
#DB_SQLFILE_EXECUTE} $DB_CMN_SCRIPTS/create_mktplaces.sql
#EOF

#pvedul -- adding run_db_cmd.sh

. $DB_DIR/util/run_db_cmd.sh --file=$DB_CMN_SCRIPTS/create_mktplaces.sql

${ECHO}
${ECHO} ====================================================
${ECHO} Loading specs
${ECHO} ====================================================
${ECHO}

cd ${TOP}/src/db/specs/all

$JAVA_RT_NOOUT trigo_content.impexp.DatabaseUploader -action=i -debug=n `ls *.xml`

